package mapped;

import java.lang.ref.SoftReference;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.rs.api.RSSoftWrapper;

@ObfuscatedName("ln")
public class SoftWrapper extends Wrapper implements RSSoftWrapper {
   @ObfuscatedName("at")
   SoftReference ref;

   SoftWrapper(Object var1, int var2) {
      super(var2);
      this.ref = new SoftReference(var1);
   }

   @ObfuscatedName("at")
   Object get_base() {
      return this.ref.get();
   }

   @ObfuscatedName("ah")
   boolean isSoft_base() {
      return true;
   }
}
